# wxSplashScreen Class Reference
[Managed Windows]

`#include <wx/splash.h>`

Inheritance diagram for wxSplashScreen:
[legend]

## Detailed Description

wxSplashScreen shows a window with a thin border, displaying a bitmap describing your application.

Show it in application initialisation, and then either explicitly destroy it or let it time-out.

Example usage:

          wxBitmap bitmap;
          if (bitmap.LoadFile("splash16.png", wxBITMAP_TYPE_PNG))
          {
              wxSplashScreen* splash = new wxSplashScreen(bitmap,
                  wxSPLASH_CENTRE_ON_SCREEN|wxSPLASH_TIMEOUT,
                  6000, NULL, -1, wxDefaultPosition, wxDefaultSize,
                  wxBORDER_SIMPLE|wxSTAY_ON_TOP);
          }
          wxYield();

##

Library: wxAdvanced

Category: Managed Windows

## Public Member Functions
| wxSplashScreen (const wxBitmap &bitmap, long splashStyle, int milliseconds, wxWindow *parent, wxWindowID id, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=wxBORDER_SIMPLE|wxFRAME_NO_TASKBAR|wxSTAY_ON_TOP)
| Construct the splash screen passing a bitmap, a style, a timeout, a window id, optional position and size, and a window style.
virtual | ~wxSplashScreen ()
| Destroys the splash screen.
long | GetSplashStyle () const
| Returns the splash style (see wxSplashScreen() for details).
wxSplashScreenWindow * | GetSplashWindow () const
| Returns the window used to display the bitmap.
int | GetTimeout () const
| Returns the timeout in milliseconds.
void | OnCloseWindow (wxCloseEvent &event)
| Reimplement this event handler if you want to set an application variable on window destruction, for example.

List of all members.

## Constructor & Destructor Documentation

wxSplashScreen::wxSplashScreen | ( | const wxBitmap & | bitmap,
|  | long | splashStyle,
|  | int | milliseconds,
|  | wxWindow * | parent,
|  | wxWindowID | id,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `wxBORDER_SIMPLE|wxFRAME_NO_TASKBAR|wxSTAY_ON_TOP` |
| ) |  |  |

Construct the splash screen passing a bitmap, a style, a timeout, a window id, optional position and size, and a window style.

splashStyle is a bitlist of some of the following:

- wxSPLASH_CENTRE_ON_PARENT
- wxSPLASH_CENTRE_ON_SCREEN
- wxSPLASH_NO_CENTRE
- wxSPLASH_TIMEOUT
- wxSPLASH_NO_TIMEOUT

milliseconds is the timeout in milliseconds.

virtual wxSplashScreen::~wxSplashScreen | ( |  | ) | `[virtual]`

Destroys the splash screen.

## Member Function Documentation

long wxSplashScreen::GetSplashStyle | ( |  | ) | const

Returns the splash style (see wxSplashScreen() for details).

wxSplashScreenWindow* wxSplashScreen::GetSplashWindow | ( |  | ) | const

Returns the window used to display the bitmap.

int wxSplashScreen::GetTimeout | ( |  | ) | const

Returns the timeout in milliseconds.

void wxSplashScreen::OnCloseWindow | ( | wxCloseEvent & | event | ) |

Reimplement this event handler if you want to set an application variable on window destruction, for example.

|  | [ top ]